Bug 68971 - Introduce feature flags for incomplete input types
: Introduce feature flags for incomplete input types
Status: RESOLVED FIXED
: WebKit
Forms
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
: 65915
: 29359
  Show dependency treegraph
 
Reported: 2011-09-27 22:30 PST by
Modified: 2011-10-04 23:05 PST (History)


Attachments
Patch (41.94 KB, patch)
2011-09-27 22:51 PST, Kent Tamura
no flags Review Patch | Details | Formatted Diff | Diff
Patch 2 (42.53 KB, patch)
2011-09-28 00:13 PST, Kent Tamura
no flags Review Patch | Details | Formatted Diff | Diff
Patch 3 (42.59 KB, patch)
2011-10-03 03:19 PST, Kent Tamura
no flags Review Patch | Details | Formatted Diff | Diff
Patch 4 (42.87 KB, patch)
2011-10-03 21:23 PST, Kent Tamura
no flags Review Patch | Details | Formatted Diff | Diff
Patch 5 (47.54 KB, patch)
2011-10-04 19:14 PST, Kent Tamura
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-09-27 22:30:14 PST
Discussed in http://www.mail-archive.com/webkit-dev@lists.webkit.org/msg16107.html
I'd like to add the following feature flags:
 ENABLE_INPUT_TYPE_DATE
 ENABLE_INPUT_TYPE_DATETIME
 ENABLE_INPUT_TYPE_DATETIMELOCAL
 ENABLE_INPUT_TYPE_MONTH
 ENABLE_INPUT_TYPE_TIME
 ENABLE_INPUT_TYPE_WEEK
------- Comment #1 From 2011-09-27 22:51:36 PST -------
Created an attachment (id=108966) [details]
Patch
------- Comment #2 From 2011-09-27 23:06:30 PST -------
(In reply to comment #1)
> Created an attachment (id=108966) [details] [details]
> Patch

With this patch, we keep to enable these input types only on Xcode platforms because I don't know it's ok to remove them from WebKit on OS X and iOS.
------- Comment #3 From 2011-09-27 23:47:41 PST -------
(From update of attachment 108966 [details])
Attachment 108966 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/9878566

New failing tests:
fast/css/pseudo-in-range.html
fast/css/pseudo-out-of-range.html
fast/css/pseudo-in-range-invalid-value.html
------- Comment #4 From 2011-09-28 00:13:29 PST -------
Created an attachment (id=108976) [details]
Patch 2

Skip some fast/css tests which contain type=date.
------- Comment #5 From 2011-10-03 03:19:24 PST -------
Created an attachment (id=109459) [details]
Patch 3

rebased
------- Comment #6 From 2011-10-03 21:23:23 PST -------
Created an attachment (id=109579) [details]
Patch 4

This patch disables the input types by default on all platforms.
------- Comment #7 From 2011-10-04 19:14:08 PST -------
Created an attachment (id=109729) [details]
Patch 5

Enable the flags for iOS because iOS already has good UIs
------- Comment #8 From 2011-10-04 21:04:29 PST -------
(From update of attachment 109729 [details])
It's sad to have such many enable flags... But I assume folks agreed this according to the thread: http://markmail.org/thread/gymjpm36avtufodf
------- Comment #9 From 2011-10-04 23:05:52 PST -------
(From update of attachment 109729 [details])
Clearing flags on attachment: 109729

Committed r96678: <http://trac.webkit.org/changeset/96678>
------- Comment #10 From 2011-10-04 23:05:58 PST -------
All reviewed patches have been landed.  Closing bug.